/*
 * Copyright 2017 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.springframework.cloud.skipper.server.deployer.strategies;

import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * @author Mark Pollack
 */
@ConfigurationProperties("spring.cloud.skipper.server.strategies.healthcheck")
public class HealthCheckProperties {

	private long timeoutInMillis = 300000; // 5 minutes

	private long sleepInMillis = 5000; // 5 seconds

	public long getTimeoutInMillis() {
		return timeoutInMillis;
	}

	public void setTimeoutInMillis(long timeoutInMillis) {
		this.timeoutInMillis = timeoutInMillis;
	}

	public long getSleepInMillis() {
		return sleepInMillis;
	}

	public void setSleepInMillis(long sleepInMillis) {
		this.sleepInMillis = sleepInMillis;
	}
}
